Bug 816878 - [abrt] midori-0.4.3-1.fc16: addons_context_ready_cb: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.4.3-1.fc16: addons_context_ready_cb: Process /usr/bin/midori ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:c86dd7b84d8a4691f65d4041ec5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 04:48 EDT by ai
Modified: 2013-02-13 20:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:43:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (29.60 KB, text/plain)
2012-04-27 04:48 EDT, ai
no flags Details
File: backtrace (40.83 KB, text/plain)
2012-04-27 04:48 EDT, ai
no flags Details
File: error.log (6.43 KB, text/plain)
2012-04-27 04:48 EDT, ai
no flags Details
File: maps (53.84 KB, text/plain)
2012-04-27 04:48 EDT, ai
no flags Details
File: dso_list (11.75 KB, text/plain)
2012-04-27 04:48 EDT, ai
no flags Details
File: build_ids (4.56 KB, text/plain)
2012-04-27 04:48 EDT, ai
no flags Details

  None (edit)
Description ai 2012-04-27 04:48:30 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        midori
comment:        First use of midori, after altering preferences using search engine crashed the app
crash_function: addons_context_ready_cb
executable:     /usr/bin/midori
kernel:         3.1.0-7.fc16.x86_64
pid:            14970
pwd:            /home/ai
reason:         Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
time:           Fri 27 Apr 2012 11:15:01 AM EEST
uid:            1000
username:       ai

backtrace:      Text file, 41809 bytes
build_ids:      Text file, 4674 bytes
dso_list:       Text file, 12030 bytes
error.log:      Text file, 6584 bytes
event_log:      Text file, 30310 bytes
maps:           Text file, 55132 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1600
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/ai/.gnupg/S.gpg-agent:1621:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=701be0c9673c9660c019dc6500000011-1335503834.489317-952924590
:GNOME_KEYRING_CONTROL=/tmp/keyring-aIwR0B
:IMSETTINGS_MODULE=none
:USER=ai
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-daseceKT1484/agent.1484
:USERNAME=ai
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/ai
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ai/.local/bin:/home/ai/bin
:QT_IM_MODULE=xim
:PWD=/home/ai
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1480
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/ai
:LOGNAME=ai
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GoOhMHYEHb,guid=6882bafd75bcc819a8bf7ea3000000e1
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/ai
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-ai-F6smXb/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1630,unix/unix:/tmp/.ICE-unix/1630
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-panel/midori/1637-17-localhost.localdomain_TIME10554338

smolt_data:
:
:
:General
:=================================
:UUID: bcc42fae-5585-4108-b3e1-ed3ac1da36bd
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4189.66
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II P320 Dual-Core Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 2100
:System Memory: 3701
:System Swap: 5759
:Vendor: Hewlett-Packard
:System: HP 625 
:Form factor: Notebook
:Kernel: 3.1.0-7.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:4156:5237) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4130:38407:4156:5237) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 3)
:(4098:38674:4156:5237) pci, radeon, VIDEO, M880G [Mobility Radeon HD 4200]
:(4130:38401:4156:5237) pci, None, HOST/PCI, RS880 Host Bridge
:(4156:38402:4156:5237) pci, None, PCI/PCI, N/A
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:4156:5237) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4156:5237) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17285:4156:5237) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4156:5237) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4156:5237) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4156:5237) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4156:5237) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:38671:4156:5237) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:4156:5237) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4156:5237) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4156:5237) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33078:4156:5237) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(4130:38408:4156:5237) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 4)
:(4130:38404:4156:5237) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 12901535 11528367 11397330 3276800 3122527 3122527
:/dev/sda1 /boot ext4 1024 1024 495844 435300 409700 128016 127785 127785
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 62435297 62362105 59190573 15859712 15859326 15859326
:

var_log_messages:
:Apr 27 08:44:59 localhost yum[31389]: Updated: midori-0.4.3-1.fc16.x86_64
:Apr 27 11:15:01 localhost kernel: [10892.936642] midori[14970]: segfault at 8 ip 00007f3fd4485ac3 sp 00007fff5f914e00 error 4 in libaddons.so[7f3fd447d000+c000]
:Apr 27 11:15:06 localhost abrt[15006]: Saved core dump of pid 14970 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-04-27-11:15:01-14970 (1179336704 bytes)

xsession_errors:
:(gpk-update-viewer:1886): PackageKit-DEBUG: removing midori;0.4.3-1.fc16;x86_64;updates
:(gpk-update-viewer:1886): PackageKit-DEBUG: removing midori;0.4.1-3.fc16;x86_64;installed:koji-override-0
:(gpk-update-viewer:31383): PackageKit-DEBUG: removing midori;0.4.3-1.fc16;x86_64;updates
:(gpk-update-viewer:31383): PackageKit-DEBUG: removing midori;0.4.1-3.fc16;x86_64;installed:koji-override-0
:(midori:14970): GLib-GObject-CRITICAL **: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
Comment 1 ai 2012-04-27 04:48:37 EDT
Created attachment 580675 [details]
File: event_log
Comment 2 ai 2012-04-27 04:48:40 EDT
Created attachment 580676 [details]
File: backtrace
Comment 3 ai 2012-04-27 04:48:43 EDT
Created attachment 580677 [details]
File: error.log
Comment 4 ai 2012-04-27 04:48:46 EDT
Created attachment 580678 [details]
File: maps
Comment 5 ai 2012-04-27 04:48:49 EDT
Created attachment 580679 [details]
File: dso_list
Comment 6 ai 2012-04-27 04:48:51 EDT
Created attachment 580680 [details]
File: build_ids
Comment 7 Kevin Fenzi 2012-04-27 10:37:58 EDT
Can you duplicate the crash? Or it's only the one time?
Can you try with the version in updates-testing? 

yum --enablerepo=updates-testing update midori
Comment 8 Fedora End Of Life 2013-01-16 18:20:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 20:43:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.